commit c3916a3160d8933ab2b69b88226b1431f295432e
Author: Joshua C. Colp <jcolp@sangoma.com>
Date:   Mon May 18 11:05:56 2020 -0300

    bridge: Don't try to match formats.
    
    When bridging channels we were trying to match the formats
    of both sides in combination with the configured formats.
    While this is allowed in SDP in practice this causes extra
    reinvites and problems. This change limits this operation
    such that only non-audio streams will see their formats
    change when bridging.
    
    ASTERISK-28871
    
    Change-Id: I22f5a3e7db29e00c165e74d05d10856f6086fe47

diff --git a/bridges/bridge_native_rtp.c b/bridges/bridge_native_rtp.c
index 19c6ab525b..b24df9a8da 100644
--- a/bridges/bridge_native_rtp.c
+++ b/bridges/bridge_native_rtp.c
@@ -900,8 +900,6 @@ static struct ast_stream_topology *native_rtp_request_stream_topology_update(
 				continue;
 			}
 
-			ast_format_cap_append_from_cap(joint, ast_stream_get_formats(stream),
-				AST_MEDIA_TYPE_AUDIO);
 			ast_format_cap_append_from_cap(joint, audio_formats, AST_MEDIA_TYPE_AUDIO);
 			ast_stream_set_formats(stream, joint);
 			ao2_ref(joint, -1);
diff --git a/bridges/bridge_simple.c b/bridges/bridge_simple.c
index abda774dd5..80b3d6111b 100644
--- a/bridges/bridge_simple.c
+++ b/bridges/bridge_simple.c
@@ -104,8 +104,6 @@ static struct ast_stream_topology *simple_bridge_request_stream_topology_update(
 				continue;
 			}
 
-			ast_format_cap_append_from_cap(joint, ast_stream_get_formats(stream),
-				AST_MEDIA_TYPE_AUDIO);
 			ast_format_cap_append_from_cap(joint, audio_formats, AST_MEDIA_TYPE_AUDIO);
 			ast_stream_set_formats(stream, joint);
 			ao2_ref(joint, -1);
